Package org.apache.sling.dynamicinclude.impl

## Class UrlBuilder

- java.lang.Object
- - org.apache.sling.dynamicinclude.impl.UrlBuilder

    public final class UrlBuilder
    extends java.lang.Object

### Constructor Summary

Constructors
`UrlBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `buildUrl​(java.lang.String includeSelector, java.lang.String resourceType, boolean synthetic, Configuration config, org.apache.sling.api.request.RequestPathInfo pathInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UrlBuilder

    public UrlBuilder()

### Method Detail

#### buildUrl

    public static java.lang.String buildUrl​(java.lang.String includeSelector,
                                            java.lang.String resourceType,
                                            boolean synthetic,
                                            Configuration config,
                                            org.apache.sling.api.request.RequestPathInfo pathInfo)